/*
 * MC68360 support routines
 *
 * W. Eric Norum
 * Saskatchewan Accelerator Laboratory
 * University of Saskatchewan
 * Saskatoon, Saskatchewan, CANADA
 * eric@skatter.usask.ca
 *
 *  $Id: init68360.c,v 1.13 1998/03/23 18:35:38 joel Exp $
 */

#include <rtems.h>
#include <bsp.h>

/*
 * Initialize MCF5307
 */
void _Init5307 (void)
{
	extern void _CopyDataClearBSSAndStart (void);
	
	
	m68k_set_vbr(0); /* Set the VBR to point to a monitor initialised table */
/*        asm( " nop \n"
             " move.l  #0x80000000,%d0 \n"
	     " movec %d0,%cacr \n"
             " nop "); */
	
	/*
	 * Copy data, clear BSS, switch stacks and call main()
	 */
	_CopyDataClearBSSAndStart ();
}
